Bug 12228 - samba-*2.0.7-4.i386.rpm dependency problems
samba-*2.0.7-4.i386.rpm dependency problems
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Depends On:
  Show dependency treegraph
Reported: 2000-06-13 18:50 EDT by raan
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-06-13 18:50:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description raan 2000-06-13 18:50:32 EDT
On a newly installed 6.2 system with samba components installed from the 
CD, I tried to install your samba-*2.0.7-4.i386.rpm packages (downloaded 
from your server).

When I do   rpm -Fvh * (on each of the pieces), I get error messages about 
missing dependencies referring to samba-*2.0.7 -- yet there is no 2.0.7 on 
your server.  Further, the common component complains about dependencies 
for 2.0.6-9 needing 2.0.6 !!

If I specify --nodeps it appears to install with no other errors.  I 
haven't actually tried to use it yet...

Is this a bug, or a misunderstanding on my part?  Is the result of 
overriding the dependecy check going to be a functional samba?

Raan Young
Graand Visions, Inc
Comment 1 Bill Nottingham 2000-06-14 12:03:17 EDT
You need to install all the RPMs in the same transaction,
i.e. rpm -Uvh samba-client-2.0.7-4.i386.rpm samba-common-2.0.7-4.i386.rpm

Comment 2 raan 2000-06-14 12:27:11 EDT
Hmmm.  That is not at all obvious from the webpage announcing the upgrade...

It says (and I quote):

6. Solution

For each RPM for your particular architecture, run:

rpm -Fvh [filename]

where filename is the name of the RPM.

In other words, it explicitly states the exact opposite of what I am supposed
to do...

Thanks for the response,

Note You need to log in before you can comment on or make changes to this bug.